<template>
  <view
    class="BottomColumn flex flex-center"
    :style="{
      position: isLocation == true ? 'fixed' : '',
      marginTop: isMarginTop + 'rem',
    }"
  >
    <view class="Bbar flex">
      <img
        style="
          display: block;
          margin-right: 0.22rem;
          width: 0.4rem;
          height: 0.4rem;
        "
        src="@/static/image/logo.png"
        alt=""
        srcset=""
      />
      <view
        class="font-family"
        style="color: #2c2c2c; font-size: 0.12rem; line-height: 1.5"
      >
        <view >
          ©2017 中国中医科学院中医药信息研究所版权所有 京ICP备********号
        </view>
        <view 
          >地址：北京市东城区东直门内南小街16号 邮编：100700 电话：8610-64089611
          Email: tcmtczy@mail.cintcm.ac.cn</view
        >
      </view>
    </view>
  </view>
</template>

<script>
export default {
  name: "footer",
  props: {
    isLocation: {
      type: Boolean,
      default() {
        return true;
      },
    },
    isMarginTop: {
      type: Number,
      default() {
        return 0;
      },
    },
  },
  data() {
    return {};
  },
};
</script>

<style scoped>
.BottomColumn {
  /* position: sticky;
	top: 0; */
  /* position: fixed; */
  /* left: 0px; */
  bottom: 0px;
  left: 0;
  z-index: 999999999999999999999999999999999999999999;
  padding: 0.19rem 0;
  width: 100%;
  background-color: #e6eff8;
  font-size: 10px;
  color: #000;

  /* margin-top: 1rem; */
  .Bbar {
    img {
      width: 60rpx;
      height: 60rpx;
      border-radius: 50%;
    }
  }
}
</style>
